OpenTTD Source: src/landscape_cmd.h File Reference

OpenTTD Source 15.0-beta1

Functions
landscape_cmd.h File Reference

Command definitions related to landscape (slopes etc.). More...

`#include "command_type.h"`

Go to the source code of this file.

## Functions
CommandCost | CmdLandscapeClear (DoCommandFlag flags, TileIndex tile)
| Clear a piece of landscape.
std::tuple< CommandCost, Money > | CmdClearArea (DoCommandFlag flags, TileIndex tile, TileIndex start_tile, bool diagonal)
| Clear a big piece of landscape.

## Detailed Description

Command definitions related to landscape (slopes etc.).

Definition in file landscape_cmd.h.

## Function Documentation

## ◆ CmdClearArea()

std::tuple< CommandCost, Money > CmdClearArea | ( | DoCommandFlag | flags,
|  | TileIndex | tile,
|  | TileIndex | start_tile,
|  | bool | diagonal
| ) |  |

Clear a big piece of landscape.

Parameters

  flags | of operation to conduct
  tile | end tile of area dragging
  start_tile | start tile of area dragging
  diagonal | Whether to use the Orthogonal (false) or Diagonal (true) iterator.

Returns
  the cost of this operation or an error

Definition at line 711 of file landscape.cpp.

References _current_company, _pause_mode, CommandCost::AddCost(), CompanyProperties::clear_limit, CMD_ERROR, TileIterator::Create(), CreateEffectVehicleAbove(), DC_AUTO, DC_BANKRUPT, DC_EXEC, DC_FORCE_CLEAR_TILE, EV_EXPLOSION_LARGE, EV_EXPLOSION_SMALL, EXPENSES_CONSTRUCTION, CommandCost::Failed(), GB(), GetAvailableMoneyForCommand(), CommandCost::GetCost(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::GetIfValid(), INVALID_TILE, PM_UNPAUSED, Map::Size(), TILE_SIZE, TileX(), and TileY().

## ◆ CmdLandscapeClear()

CommandCost CmdLandscapeClear | ( | DoCommandFlag | flags,
|  | TileIndex | tile
| ) |  |

Clear a piece of landscape.

Parameters

  flags | of operation to conduct
  tile | tile to clear

Returns
  the cost of this operation or an error

Definition at line 653 of file landscape.cpp.

References _current_company, _tile_type_procs, CommandCost::AddCost(), CompanyProperties::clear_limit, ClearNeighbourNonFloodingStates(), DC_AUTO, DC_BANKRUPT, DC_EXEC, DC_FORCE_CLEAR_TILE, DC_NO_WATER, DirtyCompanyInfrastructureWindows(), EXPENSES_CONSTRUCTION, FindClearedObject(), ClearedObjectArea::first_tile, GB(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::Get(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::GetIfValid(), GetTileOwner(), GetTileType(), GetWaterClass(), HasTileWaterClass(), IsCanal(), IsCoastTile(), IsTileOnWater(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), IsWaterTile(), and WATER_CLASS_CANAL.